Page MenuHome

Crash when attempting to sculpt a mesh with a multiresolution modifier and applied mirror modifier
Closed, DuplicatePublicBUG

Description

Update reply below contains reproduceable steps to create objects showcasing this bug from scratch; original post in this post left for posterity. The issue appears to involve a Multiresolution modifier with subdivision levels causing a crash when attempting to sculpt the relevant object but only in the case where a specifically configured Mirror modifier had been copied and applied after creation of the Multiresolution modifier.

System Information
Operating system: Windows 7 Ultimate - Version 6.1.7601 Service Pack 1 Build 7601
Graphics card: Nvidia GeForce GTX 950

Blender Version
Broken: 2.80, 2.81 release

Short description of error
Trying to use sculpt tools on a specific object in my file ("sculpt_figure res2 breasts") causes Blender to crash. I had not encountered any crashing issues involving sculpting up until I tried sculpting this particular object. The crash reproduces on multiple systems. I have attached the blend file in question.

Removing either the Multi-resolution modifier or the Armature modifier from this object ("sculpt_figure res2 breasts") allows the object to be sculpted without crashing. Adding a new Multi-resolution or Armature modifier after either modifier has been removed also allows sculpting without crashing. The crash only happens when attempting to sculpt the object as is without removing and/or re-adding said modifiers.

The object in question ("sculpt_figure res2 breasts") was created by duplicating the object "sculpt_figure res2" and removing a selection of faces from the duplicated mesh, adding edge creasing to edges in the duplicated mesh, applying a mirror modifier belonging to the duplicated mesh, and adding a multi-resolution modifier to the duplicated mesh. I am not certain the order in which these actions were performed.

Exact steps for others to reproduce the error
Open the provided file "sculpt8_2.blend."
Select the object "sculpt_figure res2 breasts" in the "sculpt" collection if not already selected.
Enter sculpt mode.
Select a sculpt tool (tested with Draw brush, Thumb brush, Mask brush).
Click the sculpt tool on the mesh to attempt sculpting

Event Timeline

ghoulish (ghoulish) added a comment.EditedOct 3 2019, 9:07 AM

I've found a way to reproduce this crash bug entirely from scratch with no required example file. To cause the bug to occur perform the following steps:

  1. Add a cube mesh object.
  2. Add a Mirror modifier to the cube object.
  3. Enable "Bisect: X" option in Mirror modifier.
  4. Enable "Clipping" option in Mirror modifier.
  5. Add a Multiresolution modifier to the cube object.
  6. Generate a subdivision level in the Multiresolution modifier (click the Subdivide button).
  7. Copy the cube object's Mirror modifier (click the Copy button).
  8. Apply the copied Mirror modifier (click the Apply button).
  9. Switch to Sculpt mode.
  10. Attempt to draw on the mesh using a sculpt brush (example: Draw brush).
ghoulish (ghoulish) renamed this task from Attempting to use sculpt tools on a specific object causes crash to Crash when attempting to sculpt a mesh with a multiresolution modifier and applied mirror modifier.Oct 3 2019, 9:19 AM
ghoulish (ghoulish) updated the task description. (Show Details)

I am trying to reproduce this bug and blender crashes after step 8.
Here is my conf.

System Information
Operating system: Windows-10-10.0.17134 64 Bits
Graphics card: Intel(R) HD Graphics 4400 Intel 4.3.0 - Build 20.19.15.4963

Blender Version
Broken: version: 2.81 (sub 12), branch: master, commit date: 2019-09-30 17:27, hash: rBddb157999eed
Worked: (optional)

I don't know if it's related to the problem, but when opening the file the BLI_assert of this line failed:
https://developer.blender.org/diffusion/B/browse/master/source/blender/modifiers/intern/MOD_skin.c$1442

This assert has been added in the commit rBabd68c6e
@Campbell Barton (campbellbarton), mind taking a look at this assert?

Philipp Oeser (lichtwerk) lowered the priority of this task from 90 to 50.Oct 4 2019, 11:15 AM

For me, this is already asserting in step 8 of @ghoulish (ghoulish) manual repo steps:
BLI_assert failed: /blender/source/blender/blenlib/intern/math_geom.c:3621, axis_dominant_v3_to_m3(), at '!(fabsf(_test_unit - 1.0f) >= 0.0002f) || !(fabsf(_test_unit) >= 0.0002f)'

Pablo Dobarro (pablodp606) changed the subtype of this task from "Report" to "Bug".Jan 27 2020, 3:11 AM

I can reproduce the crash by following the steps. The patch in D6665 fixes the crash, so I consider that the issue is the same as the other report.